Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Developer
zahidalinaqvi
Posts: 445
Registered: ‎10-14-2008
My Carrier: SingTel

JDE Version v/s Model Number

Hello All,

 

I just want a list which mention about all the JDE versions with supported devices.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Thanks & Regards
Zahid Naqvi | Senior Software Engineer
Please use plain text.
Developer
Posts: 5,339
Registered: ‎09-20-2008
My Carrier: ***

Re: JDE Version v/s Model Number

[ Edited ]

JDE version is not related to a particular blackberry device model.

 

It is related to device OS version.

 

JDE version has to be equal or less that version number of target OS version.

 

For example: application compiled on JDE 4.2.0 will run on Device OS versions 4.2.0, 4.2.1, 4.3.0 and newer

Message Edited by tbilisoft on 09-01-2009 03:03 PM
Please use plain text.
Developer
zahidalinaqvi
Posts: 445
Registered: ‎10-14-2008
My Carrier: SingTel

Re: JDE Version v/s Model Number

 yeah thats i want that particular OS supports to which models ?

 

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Thanks & Regards
Zahid Naqvi | Senior Software Engineer
Please use plain text.
Developer
peter_strange
Posts: 19,523
Registered: ‎07-14-2008

Re: JDE Version v/s Model Number

It is not that simple.  When a phone is released, it is released with a certain OS Level, by the carrier.  Rim might provide updates, but the carriers don't have to support them.  For example, Vodafone in the UK don't support 4.5 for the 8700, though Rim have released it and other carriers do.  However they do support 4.2.1.  So taking that one device, we have a number of different OS levels, and the choice of OS levels is carrier dependent.

 

As tbilisoft says, you can only target your application at OS levels, not devices.

Please use plain text.
Developer
zahidalinaqvi
Posts: 445
Registered: ‎10-14-2008
My Carrier: SingTel

Re: JDE Version v/s Model Number

thanks for reply.....

 

i have to make an application which includes camera fuctionality, GPS, Maps.

 

so please suggest me that which JDE i should use.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Thanks & Regards
Zahid Naqvi | Senior Software Engineer
Please use plain text.
Developer
peter_strange
Posts: 19,523
Registered: ‎07-14-2008

Re: JDE Version v/s Model Number

[ Edited ]

I think the earliest phone that supported camera and GPS and maps was the Pearl - it was released with OS 4.2.  So you should use 4.2, - it will provide you with most of the functionality you require.  You may need to have OS specific bits of code for some of the newer map functionality.  You will also need to check for the features available on the device, because, for example, some of the latter devices do NOT have cameras.

 

However if you are NOT creating a consumer application (i.e. don't mind if original Pearl users can't use your app), you might consider 4.2.1, which I prefer.

 

Note also this Thread which is on a related topic and talks abouth the implications for running on a Storm.

http://supportforums.blackberry.com/rim/board/message?board.id=java_dev&thread.id=14777

Message Edited by peter_strange on 01-12-2009 12:30 PM
Please use plain text.